<ion-progress-bar *ngIf="securityService.progressing" color="danger" value="0.7"></ion-progress-bar>
<ion-content class="ion-padding">
  <ion-grid style="height: 100%">
    <ion-row align-items-center style="height: 100%">
      <ion-col size="12" size-md="6" offset-md="3">
        <ion-card class="ion-padding">
          <ion-card-header>
            <ion-card-title>{{ 'Join Society' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form [formGroup]="form" (ngSubmit)="sendRequest()" (keyup.enter)="sendRequest()" method="post">
              <ion-item>
                <ion-label position="floating">{{ 'Search Society' | translate }}</ion-label>
                <ionic-selectable #selectComponent formControlName="selectedSociety" [items]="searchedSocieties"
                  itemValueField="id" itemTextField="name" [isMultiple]="false" headerColor="primary" [canSearch]="true"
                  (onChange)="userChanged($event)" (onSearch)="onSearch($event)" (onOpen)="onOpen()"
                  (onClose)="onClose()" [shouldBackdropClose]="true" name="searchSocieties" (onSearchFail)="onSearchFail($event)">

                  <ng-template ionicSelectableCloseButtonTemplate>
                    <ion-icon name="close-circle"></ion-icon>
                  </ng-template>

                  <ng-template ionicSelectableTitleTemplate>
                    {{ 'Select Society' | translate }}
                  </ng-template>

                  <ng-template ionicSelectableItemTemplate let-society="item">
                    <ion-item>
                      <ion-avatar class="profile">
                        <img src="{{society.profilePicture.content}}">
                      </ion-avatar>
                      <ion-label>{{ 'Id' | translate }}: {{ society.id }} {{ 'Name' | translate }}: {{ society.name }}</ion-label>
                    </ion-item>
                  </ng-template>

                  <ng-template ionicSelectableFooterTemplate>
                    <ion-footer>
                      <ion-toolbar>
                        <ion-row text-center>
                          <ion-col>
                            <ion-button fill="clear" (click)="clear()">{{ 'Cancel' | translate }}</ion-button>
                          </ion-col>
                          <ion-col>
                            <ion-button fill="clear" (click)="confirm()">{{ 'Confirm' | translate }}</ion-button>
                          </ion-col>
                        </ion-row>
                      </ion-toolbar>
                    </ion-footer>
                  </ng-template>

                </ionic-selectable>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('selectedSociety').hasError('required') && form.get('selectedSociety').touched">{{ 'This field is required*' | translate }}</div>

              <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
                {{ 'Send Request' | translate }}</ion-button>

              <div style="color: red"> {{ 'Note*: If you are already sent request to the Society, click on' | translate }}:
                <ion-button color="primary" (click)="refresh(null)">
                {{ 'Check Status' | translate }}</ion-button> 
              </div>
              <ion-button (click)="logOut()">
                {{ 'Logout' | translate }}</ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>